MANCONV(1)

BEZEICHNUNG
manconv - wandelt die Kodierung von Handbuchseiten um

ÜBERSICHT
manconv -f alte-Kodierung[:alte-Kodierung...] -t neue-Kodierung [-dqhV] [Dateiname]

BESCHREIBUNG
manconv wandelt wie iconv eine Handbuchseite von einer Kodierung in eine andere um. Im Gegensatz zu iconv kann das Programm mehrere mögliche Kodierungen der Eingabedatei der Reihe nach ausprobieren. Dies ist nützlich für Handbuchseiten, die in Verzeichnissen ohne klare Angabe der Kodierung installiert sind, weil diese in UTF-8 oder einem veralteten Zeichensatz kodiert sein können.

Wenn in der ersten Zeile einer Handbuchseite eine Kodierung angegeben ist, wird dieser Kodierung gegenüber allen auf der Befehlszeile von manconv angegebenen Kodierungen der Vorzug gegeben. Kodierungen werden in der folgenden Form angegeben:

    '\" -*- coding: UTF-8 -*-

oder (wenn auch Präprozessoren für Handbuchseiten angegeben werden müssen):

    '\" t -*- coding: ISO-8859-1 -*-

OPTIONEN

-f Kodierungen, --from-code Kodierungen
    Jede der Kodierungen (eine Liste mit Doppelpunkten als Trennzeichen) nacheinander als Eingabekodierung ausprobieren.

-t Kodierung, --to-code Kodierung
    Konvertiert die Handbuchseite nach Kodierung.

-q, --quiet
    Keine Fehlermeldungen ausgeben, wenn die Seite nicht umgewandelt werden kann.

-d, --debug
    Ausgabe von Debug-Informationen

-h, --help
    Hilfetext anzeigen und beenden

-V, --version
    Versionsinformation anzeigen und beenden

SIEHE AUCH
iconv(1), man(1)

AUTOR
Colin Watson (cjwatson@debian.org).